@REM  ---------------------------------------------------------------------------
@REM               ParaJVE Launching batch file (Windows only)
@REM  ---------------------------------------------------------------------------
@REM  
@REM    Use the default java runtime. Hopefully it is a 1.5 JRE.  If not, ParaJVE
@REM  will check this at startup, and display an error message before exiting...
@REM
@REM    Also, disable  the use of DirectDraw by Java (forcing Java2D to use GDI),
@REM  for compatibility issues between DirectDraw and OpenGL.
@REM
@REM  ---------------------------------------------------------------------------
@REM  
@REM  You can append several optional parameters to this command-line. 
@REM  The supported parameters so far are :
@REM
@REM  -sound=<on|off> 
@REM      When this parameter is specified, it forces the sound emulation to be
@REM     enabled (ON) or disabled (OFF), no matter what was the sound emulation
@REM     state when the emulator was last terminated.
@REM
@REM  -menu=<on|off> 
@REM      When this parameter is specified, it forces the emulator's menu to be
@REM     shown (ON) or hidden (OFF), no matter what was the menu state when the
@REM     emulator was last terminated.
@REM
@REM  -fullscreen=<true|false> 
@REM      When this parameter is specified, it forces the emulation renderer to
@REM     use fullscreen mode (TRUE) or windowed mode (FALSE) no matter what was
@REM     the fullscreen state when the emulator was last terminated.
@REM     If both "-fullscreen=TRUE" and "-menu=OFF" are set on the command line
@REM     then the mouse cursor is automatically hidden at startup.
@REM
@REM  -noredirect
@REM      When this parameter is present ParaJVE prints its log on the standard
@REM     output/error streams (if -noredirect is not used, the output is logged
@REM     into the file named at "data/temp/ParaJVE.log" instead).
@REM
@REM  -game=< game selector >
@REM
@REM        This optional parameter is used to bypass the game selector dialog.
@REM     When it's present, ParaJVE will automatically load the specified game
@REM     without opening the game selector dialog).  The <game selector> value
@REM     can take one of the three following forms :
@REM
@REM     -game=SELECTED : to load the game that was last executed by ParaJVE.
@REM
@REM     -game=<GAMEID> : to load a specific game. Here, <GAMEID> is the ID of
@REM                      the game ROM to be executed. (The available game IDs 
@REM                      can be found in the configuration file).
@REM
@REM     -game=<PATH>   : to load a specific ROM that's not included in ParaJVE.
@REM                      <PATH> is the path to the ROM file to be used (either
@REM                      an absolute path, or relative to ParaJVE main folder).
@REM
@REM  -debug
@REM      Adding this flag will activate verbose logs.
@REM
@REM  -preloadLibs
@REM       You can try to use this switch if ParaJVE doesn't starts correctly
@REM     (especially if you experience some kind of Unsatisfacted Link Error).
@REM     This flag should not be used otherwise...
@REM
@REM  ---------------------------------------------------------------------------
@REM
@start "ParaJVE" javaw -Djava.library.path=libs/natives -Dsun.java2d.noddraw=true -cp libs/ParaJVE.jar;libs/jogl.jar;libs/gluegen-rt.jar;libs/jinput.jar ParaJVE